
package SIMM

    model POSITIV
      Modelica.Blocks.Interfaces.RealInput u ;
      Modelica.Blocks.Math.Abs abs1 ;
      Modelica.Blocks.Math.Add add1 ;
      Modelica.Blocks.Math.Gain gain1(k = 1 / 2) ;
      Modelica.Blocks.Interfaces.RealOutput y ;
    equation
      connect(u,add1.u2) ;
      connect(add1.y,gain1.u) ;
      connect(gain1.y,y) ;
      connect(abs1.y,add1.u1) ;
      connect(u,abs1.u) ;
    end POSITIV;

end SIMM;


